﻿Type=Activity
Version=3.5
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	Dim ES As ESCconst
	Dim CMP20 As ESCPOSPrinter
	Private ast2 As AsyncStreams
	Private ast As AsyncStreamsText
	Private serial2 As CitizenBtPort
	Private qrcodebmp As Bitmap
	Dim SQL1 As SQL
	Dim Cursor1 As Cursor
	Dim cr As String = Chr(13) & Chr(10)
	Dim DBFileName As String										: DBFileName = "test1.db"
	Dim DBFilePath As String										: DBFilePath = File.DirInternal
	Dim DBTableName As String										: DBTableName = "Table1"
End Sub

Sub Globals
	Dim txtInput As EditText
	Dim txtLog As EditText
	Dim btnSend As Button
	Dim pnl1 As Panel
	Dim btnQRcode As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("2")
	Activity.Title = "Citizen CMP-20 Activity"
	serial2 =  Main.serial1
	If ast.IsInitialized = False Then
		ast.Initialize(Me, "ast", serial2.GetInputStream, serial2.GetOutputStream) 
		
	End If
	If ast2.IsInitialized = False Then
		ast2.Initialize(serial2.GetInputStream, serial2.GetOutputStream,"ast2")
	End If
	txtLog.Width = 100%x
	If File.Exists(DBFilePath, DBFileName) = False Then
		If FirstTime Then 
			If File.Exists(File.DirAssets, DBFileName) = True Then
				File.Copy(File.DirAssets, DBFileName, DBFilePath, DBFileName)
				SQL1.Initialize(DBFilePath, DBFileName, True)
				
			Else
				SQL1.Initialize(DBFilePath, DBFileName, True)
				SQLTableCreate
				SQLTableFill
			End If
		End If
	Else
		If FirstTime Then 
			SQL1.Initialize(DBFilePath, DBFileName, True)
		End If
	End If
End Sub


Sub ast_Error
	ToastMessageShow("Connection is broken.", True)
	btnSend.Enabled = False
	txtInput.Enabled = False
End Sub


Sub Activity_Resume
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		ast.Close
		Cursor1.Close	
	End If
End Sub

Sub txtInput_EnterPressed
	If btnSend.Enabled = True Then btnSend_Click
End Sub
Sub btnSend_Click
	Dim su As StringUtils
 	Dim s As String="my name"&CRLF&"123456"
	
	Log(s)
	ast.Write("First Test")
	LogMessage("Me", "Drucken...")
End Sub

Sub LogMessage(From As String, Msg As String)
	txtLog.Text = txtLog.Text & From & ": " & Msg & CRLF
	txtLog.SelectionStart = txtLog.Text.Length
End Sub
Sub Prn_test2
	Log("Vor btConn")
	'CMP20.printSetup(Main.connectedDevice.Mac)
	Log("Nach btConn")
End Sub
Sub ast_NewText(Text As String)    
	Log("Text: " & Text)    
	Log(Text.Length)
End Sub
Sub ast_Terminated    
	Log("Connection terminated")
End Sub
Sub ast2_Error
	ToastMessageShow("Connection is broken.", True)
	btnSend.Enabled = False
	txtInput.Enabled = False
End Sub
Sub ast2_NewText(Text As String)    
	Log("Text: " & Text)    
	Log(Text.Length)
End Sub

Sub btnQRcode_Click
	SQLTableRead
	If Cursor1.IsInitialized = True Then
		For i = 0 To Cursor1.RowCount - 1
			Cursor1.Position = i
			ast.Write("This is " & Cursor1.GetString("firstname") & " " & Cursor1.GetString("lastname") & cr) ' Print 1 row for each tablerow
		Next
	End If
	ast.Write(cr & cr & cr) 'Print 3 lines
End Sub

Sub SQLTableCreate
	Dim i As Int
	Dim txt As String
	
	SQL1.ExecNonQuery("DROP TABLE IF EXISTS "& DBTableName) 'TEST is you table
	
	txt = "CREATE TABLE " & DBTableName & " (_id INTEGER PRIMARY KEY AUTOINCREMENT, lastname VARCHAR(30) NULL , firstname VARCHAR(30) NULL)"
	SQL1.ExecNonQuery(txt)
End Sub

Sub SQLTableFill
' Fills a SQL data base
	Dim i As Int
	Dim txt1 As String
	
	SQL1.BeginTransaction
	Try
		For i = 1 To 30
			txt1 = "INSERT INTO " & DBTableName & " (lastname, firstname) VALUES ('Lastname" & i & "', 'Firstname" & i & "')"
			SQL1.ExecNonQuery(txt1)
		Next
		SQL1.TransactionSuccessful
	Catch
		Log(LastException.Message)
	End Try
	SQL1.EndTransaction
End Sub



Sub SQLTableRead
' Reads the SQL data base
	Dim i As Int
	Dim txt, wtxt As String

	txt = "SELECT * FROM " & DBTableName 

		
	Cursor1 = SQL1.ExecQuery(txt)
	
	
End Sub